Refundgiftcardtransaction
curl --request POST \
--url https://api.loyalty.dog/v2/giftcards/programs/{programId}/cards/{cardId}/transactions/{transactionId}/refund \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 1,
"reason": "<string>",
"posTransactionId": "<string>"
}
'import requests
url = "https://api.loyalty.dog/v2/giftcards/programs/{programId}/cards/{cardId}/transactions/{transactionId}/refund"
payload = {
"amount": 1,
"reason": "<string>",
"posTransactionId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 1, reason: '<string>', posTransactionId: '<string>'})
};
fetch('https://api.loyalty.dog/v2/giftcards/programs/{programId}/cards/{cardId}/transactions/{transactionId}/refund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactionId": "5eb7cf5a86d9755df3a6c593",
"giftCardId": "5eb7cf5a86d9755df3a6c593",
"refundedAmount": "<string>",
"remainingBalance": "<string>",
"success": true,
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Gift Cards
Refundgiftcardtransaction
POST
/
v2
/
giftcards
/
programs
/
{programId}
/
cards
/
{cardId}
/
transactions
/
{transactionId}
/
refund
Refundgiftcardtransaction
Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
Response
Successful Response
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
⌘I
